> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shuttleジョブを作成

> 指定のソースシステムからBoxへの移行について記述する、新しいShuttleジョブを作成します。

> [!NOTE]
>
> 「[Box SDKのバージョニング戦略](https://developer.box.com/ja/guides/tooling/sdks/sdk-versioning.md)について詳しく学ぶ。」


## OpenAPI

````yaml box-openapi-v2026.0-jp.json POST /shuttle_jobs
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 0274a35f73
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: ドキュメント分割
    description: >-
      ページ割りされたソースドキュメントを、ユーザー定義のページ範囲またはAI生成のページ範囲に基づいて複数のファイルに分割するために使用される、一連のエンドポイント。
    x-box-tag: document_split
  - name: クエリ
    description: 項目に対するクエリ。
    x-box-tag: query
  - name: Shuttle
    description: >-
      外部ソースからBoxにコンテンツを移行するサービスであるBox
      Shuttleを管理するためのエンドポイント。これらのエンドポイントを使用して、Shuttleがコンテンツの移行元として使用するシステム、およびShuttleが実行する移行ジョブを管理します。
    x-box-tag: shuttle
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shuttle_jobs:
    post:
      tags:
        - Shuttle
      summary: Shuttleジョブを作成
      description: 指定のソースシステムからBoxへの移行について記述する、新しいShuttleジョブを作成します。
      operationId: post_shuttle_jobs_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShuttleJobCreateRequest'
            examples:
              transfer:
                summary: Create a transfer job
                value:
                  name: Q4 SharePoint to Box
                  job_type: transfer
                  source_system_id: 6a3ba68e810d9156194530a1
      responses:
        '201':
          description: 新しく作成されたShuttleジョブを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShuttleJob'
        '400':
          description: リクエスト本文の形式が正しくない場合または必須フィールドが入力されていない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーが、Enterpriseのプロパティを管理する権限を持つ管理者または共同管理者ではない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: 指定されたソースシステムが見つからないか、ユーザーがアクセスできない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    ShuttleJobCreateRequest:
      description: 新しいShuttleジョブを作成するために使用されるリクエスト本文。
      type: object
      properties:
        name:
          description: 人間が判読できるShuttleジョブ名。
          type: string
          example: Q4 SharePoint to Box
          minLength: 1
        job_type:
          description: Shuttleジョブが実行する作業のタイプ。
          type: string
          example: transfer
          enum:
            - transfer
            - analysis
        source_system_id:
          description: 移行元のソースシステムの一意の識別子。
          type: string
          example: 6a3ba68e810d9156194530a1
        comment:
          description: Shuttleジョブについて説明した自由形式のコメント (省略可)。
          type: string
          example: Migrating the finance department archives.
        tags:
          description: Shuttleジョブに関連付けられている自由形式タグのリスト。
          type: array
          items:
            type: string
            description: Shuttleジョブに関連付けられている単独のタグ。
            example: q4
          example:
            - q4
            - hr
        account_mapping:
          description: >-
            ソースの識別子および権限をBox用に変換する方法を制御する、アカウントマッピング構成。このオブジェクトを省略した場合、`is_enabled`が`false`に設定された状態でジョブが作成されます。
          type: object
          properties:
            is_enabled:
              description: >-
                Shuttleジョブに対してアカウントマッピングが有効になっているかどうか。作成時に`account_mapping`を省略した場合、デフォルトで`false`に設定されます。
              type: boolean
              example: true
            permission_conflict_strategy:
              description: 競合する権限を調整するために使用される戦略。未設定の場合は`null`。
              example: preserve_structure_restrict_sharing
              oneOf:
                - $ref: '#/components/schemas/ShuttleJobPermissionConflictStrategy'
                - title: OpenAPI 3.0 null schema type
                  description: The definition for a null schema type in OpenAPI `3.0`.
                  type: object
                  nullable: true
                  additionalProperties: false
            are_external_shares_mapped:
              description: 移行中に外部共有がマッピングされるかどうか。
              type: boolean
              example: false
            are_permissions_mapped:
              description: 移行中に権限がマッピングされるかどうか。
              type: boolean
              example: true
          x-box-tag: shuttle
        settings:
          description: Shuttleジョブが実行される方法を制御する、調整可能な設定。
          type: object
          properties:
            bandwidth_limit_bytes_per_sec:
              description: 最大転送帯域幅 (バイト/秒)。無制限の場合は`null`。
              type: integer
              format: int64
              example: 10485760
              nullable: true
            are_deletions_mirrored:
              description: ソースシステムで行った削除がBoxにも反映されるかどうか。
              type: boolean
              example: false
            are_file_versions_synced:
              description: 移行時に以前のファイルバージョンが同期されるかどうか。
              type: boolean
              example: true
            max_file_versions:
              description: 同期するファイルバージョンの最大数。無制限の場合は`null`。
              type: integer
              format: int32
              example: 10
              nullable: true
            is_overwrite_enabled:
              description: Box内の既存ファイルが上書きされるかどうか。
              type: boolean
              example: false
            are_completed_mappings_skipped_on_rerun:
              description: すでに正常に完了しているマッピングがジョブの再実行時にスキップされるかどうか。
              type: boolean
              example: true
            is_content_scanning_enabled:
              description: >-
                移行されるコンテンツが移行中にスキャンされるかどうか。ソースシステムでコンテンツスキャンがサポートされる場合にのみ適用され、サポートされない場合は無視されます。
              type: boolean
              example: false
            include_shared_source_folders:
              description: >-
                ソース側の共有フォルダが移行に含まれるかどうか。ソースシステムで共有フォルダがサポートされる場合にのみ適用され、サポートされない場合は無視されます。
              type: boolean
              example: true
            include_shared_destination_folders:
              description: >-
                移行先の共有フォルダが移行に含まれるかどうか。移行先のシステムで共有フォルダがサポートされる場合にのみ適用され、サポートされない場合は無視されます。
              type: boolean
              example: false
          x-box-tag: shuttle
      required:
        - name
        - job_type
        - source_system_id
      title: Shuttleジョブ作成リクエスト
      x-box-resource-id: shuttle_job_create_request_v2026.0
      x-box-tag: shuttle
    ShuttleJob:
      description: >-
        ShuttleジョブのStandard版の表示。Shuttleジョブは、ソースシステムからBoxへのコンテンツ移行について、現在の状態、マッピング準備状態、マッピング構成を含めて記述します。
      type: object
      properties:
        id:
          description: Shuttleジョブの一意の識別子。
          type: string
          example: 6a3ba68e810d9156194530a1
        type:
          description: 値は常に`shuttle_job`になります。
          type: string
          example: shuttle_job
          enum:
            - shuttle_job
        name:
          description: 人間が判読できるShuttleジョブ名。
          type: string
          example: Q4 SharePoint to Box
        comment:
          description: Shuttleジョブについて説明した自由形式のコメント (省略可)。
          type: string
          example: Migrating the finance department archives.
          nullable: true
        job_type:
          description: Shuttleジョブが実行する作業のタイプ。
          type: string
          example: transfer
          enum:
            - transfer
            - analysis
        state:
          description: >-
            Shuttleジョブの現在の状態。これは取り得る値が固定されていない文字列で、今後新しい値が追加されることが想定されています。現在ドキュメント化されている値には`created`、`started`、`stopped`、`completed`、`failed`、`invalid`、`unknown`があります。クライアントは識別できない値をすべて`unknown`として扱う必要があります。
          type: string
          example: created
        mapping_state:
          description: >-
            ジョブの現在のマッピング準備状態。これは取り得る値が固定されていない文字列で、今後新しい値が追加されることが想定されています。現在ドキュメント化されている値には`awaiting_path_mapping`、`importing_paths`、`paths_import_rejected`、`paths_invalid`、`paths_ready`、`scanning_source`、`source_scan_failed`、`source_scan_out_of_date`、`awaiting_subject_mapping`、`importing_subjects`、`subjects_import_rejected`、`mapping_complete`、`building_map`、`map_build_failed`、`map_out_of_date`、`ready`があります。`paths_import_rejected`は、前回のパスマッピングスプレッドシートが拒否されたか失敗し、それ以来パスマッピングが変更されていないことを示します。これは、次回のインポート時または次回の手動パスマッピング変更の際にクリアされます。`subjects_import_rejected`は、前回のサブジェクトマッピングスプレッドシートが拒否されたか失敗し、それ以来サブジェクトマッピングが変更されていないことを示します。これは、次回のインポート時または次回の手動サブジェクトマッピング変更の際にクリアされます。
          type: string
          example: awaiting_path_mapping
        source_system:
          description: Shuttleジョブによってコンテンツを移行させるソースシステム。
          type: object
          properties:
            type:
              description: 値は常に`shuttle_system`になります。
              type: string
              example: shuttle_system
              enum:
                - shuttle_system
            id:
              description: ソースシステムの一意の識別子。
              type: string
              example: 6a3ba68e810d9156194530a1
            name:
              description: 人間が判読できるソースシステム名。
              type: string
              example: SharePoint
          required:
            - type
            - id
            - name
          x-box-tag: shuttle
        account_mapping:
          description: ソースの識別子および権限をBox用に変換する方法を制御する、アカウントマッピング構成。
          type: object
          properties:
            is_enabled:
              description: Shuttleジョブに対してアカウントマッピングが有効になっているかどうか。
              type: boolean
              example: true
            permission_conflict_strategy:
              description: 競合する権限を調整するために使用される戦略。未設定の場合は`null`。
              example: preserve_structure_restrict_sharing
              oneOf:
                - $ref: '#/components/schemas/ShuttleJobPermissionConflictStrategy'
                - title: OpenAPI 3.0 null schema type
                  description: The definition for a null schema type in OpenAPI `3.0`.
                  type: object
                  nullable: true
                  additionalProperties: false
            are_external_shares_mapped:
              description: 移行中に外部共有がマッピングされるかどうか。
              type: boolean
              example: false
            are_permissions_mapped:
              description: 移行中に権限がマッピングされるかどうか。
              type: boolean
              example: true
          required:
            - is_enabled
          x-box-tag: shuttle
        tags:
          description: Shuttleジョブに関連付けられている自由形式タグのリスト。
          type: array
          items:
            type: string
            description: Shuttleジョブに関連付けられている単独のタグ。
            example: q4
          example:
            - q4
            - hr
        settings:
          description: Shuttleジョブが実行される方法を制御する、調整可能な設定。
          type: object
          properties:
            bandwidth_limit_bytes_per_sec:
              description: 最大転送帯域幅 (バイト/秒)。無制限の場合は`null`。
              type: integer
              format: int64
              example: 10485760
              nullable: true
            are_deletions_mirrored:
              description: ソースシステムで行った削除がBoxにも反映されるかどうか。
              type: boolean
              example: false
            are_file_versions_synced:
              description: 移行時に以前のファイルバージョンが同期されるかどうか。
              type: boolean
              example: true
            max_file_versions:
              description: 同期するファイルバージョンの最大数。無制限の場合は`null`。
              type: integer
              format: int32
              example: 10
              nullable: true
            is_overwrite_enabled:
              description: Box内の既存ファイルが上書きされるかどうか。
              type: boolean
              example: false
            are_completed_mappings_skipped_on_rerun:
              description: すでに正常に完了しているマッピングがジョブの再実行時にスキップされるかどうか。
              type: boolean
              example: true
            is_content_scanning_enabled:
              description: >-
                移行されるコンテンツが移行中にスキャンされるかどうか。ソースシステムでコンテンツスキャンがサポートされる場合にのみ適用され、サポートされない場合は無視されます。
              type: boolean
              example: false
            include_shared_source_folders:
              description: >-
                ソース側の共有フォルダが移行に含まれるかどうか。ソースシステムで共有フォルダがサポートされる場合にのみ適用され、サポートされない場合は無視されます。
              type: boolean
              example: true
            include_shared_destination_folders:
              description: >-
                移行先の共有フォルダが移行に含まれるかどうか。移行先のシステムで共有フォルダがサポートされる場合にのみ適用され、サポートされない場合は無視されます。
              type: boolean
              example: false
          x-box-tag: shuttle
      required:
        - id
        - type
        - name
        - job_type
        - state
        - mapping_state
        - source_system
      title: Shuttleジョブ
      x-box-resource-id: shuttle_job_v2026.0
      x-box-tag: shuttle
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
    ShuttleJobPermissionConflictStrategy:
      description: 競合する権限を調整するために使用される戦略。
      type: string
      example: preserve_structure_restrict_sharing
      enum:
        - preserve_structure_restrict_sharing
        - preserve_structure_expand_sharing
        - preserve_sharing_modify_structure
        - warn_permissions_conflicts
      title: Shuttleジョブ権限競合戦略
      x-box-resource-id: shuttle_job_permission_conflict_strategy_v2026.0
      x-box-tag: shuttle
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````